Bug 1013750 - DSL Editor can't change the order of DSL lines
DSL Editor can't change the order of DSL lines
Status: ASSIGNED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Kris Verlaenen
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 13:18 EDT by Tomas Schlosser
Modified: 2016-01-08 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Schlosser 2013-09-30 13:18:28 EDT
Description of problem:
There is, of course, the "Sort" button, that sorts all the expressions by given attribute. However in DSL the order is important.

- There should be "Up" and "Down" buttons to move the expression.
- The expression should be inserted after (or before) the one that is selected to prevent necessity to move the expression from the bottom to proper place.

The way it is now, the user have to have the order in mind or move the expressions later in plain text editor.
Comment 1 Edson Tirelli 2013-11-26 10:33:18 EST
As there is a work around, this will not be fixed for 6.0.
Comment 2 Edson Tirelli 2013-12-12 09:00:44 EST
Postponed as agreed during triage call.
Comment 3 Tomas David 2014-10-03 07:12:33 EDT
Still present in 6.1.0.Final.

Note You need to log in before you can comment on or make changes to this bug.